> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Enrolled Payment Methods

Get the list of payment methods the user has enrolled.


## OpenAPI

````yaml openapi/payment-methods-direct-workflow/retrieve-enrolled-payment-methods-api.json GET /customers/{customer_id}/payment-methods
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/{customer_id}/payment-methods:
    get:
      summary: Retrieve Enrolled Payment Methods
      operationId: retrieve-enrolled-payment-methods-api
      parameters:
        - name: customer_id
          in: path
          description: >-
            The unique identifier of the customer, created using the [Create
            Customer](https://docs.y.uno/reference/create-customer) endpoint
            (MAX 64; MIN 36).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    payment_methods:
                      - idempotency_key: null
                        name: VISA ****1111
                        description: VISA ****1111
                        icon: https://icons.prod.y.uno/visa_logosimbolo.png
                        type: CARD
                        category: CARD
                        country: US
                        status: ENROLLED
                        sub_status: null
                        vaulted_token: 46adcbc0-aa26-4867-a4e7-28a5ad9100ae
                        callback_url: null
                        action: null
                        redirect_url: null
                        created_at: '2023-08-05T14:22:06.766268Z'
                        updated_at: '2023-08-05T14:22:06.766268Z'
                        card_data:
                          iin: '41111111'
                          lfd: '1111'
                          expiration_month: 3
                          expiration_year: 27
                          number_length: 16
                          security_code_length: 3
                          brand: VISA
                          issuer: null
                          issuer_name: JPMORGAN_CHASE_BANK_NA
                          issuer_code: US_JPMORGAN_CHASE_BANK_NA
                          category: null
                          type: CREDIT
                        last_successfully_used: false
                        last_successfully_used_at: ''
                      - idempotency_key: null
                        name: VISA ****1111
                        description: VISA ****1111
                        icon: https://icons.prod.y.uno/visa_logosimbolo.png
                        type: CARD
                        category: CARD
                        country: US
                        status: ENROLLED
                        sub_status: null
                        vaulted_token: 7ced7717-f860-4705-a376-58a714953de9
                        callback_url: null
                        action: null
                        redirect_url: null
                        created_at: '2023-08-05T14:45:24.112621Z'
                        updated_at: '2023-08-05T14:45:24.112621Z'
                        card_data:
                          iin: '41111111'
                          lfd: '1111'
                          expiration_month: 3
                          expiration_year: 27
                          number_length: 16
                          security_code_length: 3
                          brand: VISA
                          issuer: null
                          issuer_name: JPMORGAN_CHASE_BANK_NA
                          issuer_code: US_JPMORGAN_CHASE_BANK_NA
                          category: null
                          type: CREDIT
                        last_successfully_used: false
                        last_successfully_used_at: ''
              schema:
                type: object
                properties:
                  payment_methods:
                    type: array
                    items:
                      type: object
                      properties:
                        idempotency_key: {}
                        name:
                          type: string
                          example: VISA ****1111
                        description:
                          type: string
                          example: VISA ****1111
                        icon:
                          type: string
                          example: https://icons.prod.y.uno/visa_logosimbolo.png
                        type:
                          type: string
                          example: CARD
                        category:
                          type: string
                          example: CARD
                        country:
                          type: string
                          example: US
                        status:
                          type: string
                          example: ENROLLED
                        sub_status: {}
                        vaulted_token:
                          type: string
                          example: 46adcbc0-aa26-4867-a4e7-28a5ad9100ae
                        callback_url: {}
                        action: {}
                        redirect_url: {}
                        created_at:
                          type: string
                          example: '2023-08-05T14:22:06.766268Z'
                        updated_at:
                          type: string
                          example: '2023-08-05T14:22:06.766268Z'
                        card_data:
                          type: object
                          properties:
                            iin:
                              type: string
                              example: '41111111'
                            lfd:
                              type: string
                              example: '1111'
                            expiration_month:
                              type: integer
                              example: 3
                              default: 0
                            expiration_year:
                              type: integer
                              example: 27
                              default: 0
                            number_length:
                              type: integer
                              example: 16
                              default: 0
                            security_code_length:
                              type: integer
                              example: 3
                              default: 0
                            brand:
                              type: string
                              example: VISA
                            issuer: {}
                            issuer_name:
                              type: string
                              example: JPMORGAN_CHASE_BANK_NA
                            issuer_code:
                              type: string
                              example: US_JPMORGAN_CHASE_BANK_NA
                            category: {}
                            type:
                              type: string
                              example: CREDIT
                        last_successfully_used:
                          type: boolean
                          example: false
                          default: true
                        last_successfully_used_at:
                          type: string
                          example: ''
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````